<?php declare(strict_types=1);

use MyPrayerJournal\{Auth, Note, Request, Table};
use BitBadger\PDODocument\Patch;

require '../../start.php';
if ($_SERVER['REQUEST_METHOD'] <> 'POST') not_found();

Auth::requireUser(false);

$req = Request::byId($_GET['id']);
if (!$req) not_found();

array_unshift($req->notes, new Note((new DateTimeImmutable('now'))->format('c'), $_POST['notes']));
Patch::byId(Table::REQUEST, $req->id, ['notes' => $req->notes]);

hide_modal('notes');
http_response_code(202);
