<?php declare(strict_types=1);

use MyPrayerJournal\{Auth, Layout, Request, UI};

require '../../../start.php';
if ($_SERVER['REQUEST_METHOD'] <> 'GET') not_found();

Auth::requireUser(false);

$req = Request::byId($_GET['id']);
if (!$req) not_found();

Layout::bareHead();?>
<p class=text-center><strong>Prior Notes for This Request</strong><?php
if (sizeof($req->notes) > 0) {
    foreach ($req->notes as $note) { ?>
        <p><small class=text-muted><?php UI::relativeDate($note->asOf); ?></small><br>
            <?=htmlentities($note->text)?><?php
    }
} else { ?>
    <p class="text-center text-muted">There are no prior notes for this request<?php
}
Layout::bareFoot();
