<?php declare(strict_types=1);

use MyPrayerJournal\{Auth, Layout, Request};

require '../../../start.php';
if ($_SERVER['REQUEST_METHOD'] <> 'GET') not_found();

Auth::requireUser(false);

$req = Request::byId($_GET['id']);
if (!$req) not_found();

Layout::bareHead(); ?>
<form hx-patch="/request/snooze?id=<?=$req->id?>" hx-target=#journalItems hx-swap=outerHTML>
    <div class="form-floating pb-3">
        <input type=date id=until name=until class=form-control
               min="<?=(new DateTimeImmutable('now'))->format('Y-m-d')?>" required>
        <label for=until>Until</label>
    </div>
    <p class="text-end mb-0"><button type=submit class="btn btn-primary">Snooze</button>
</form><?php
Layout::bareFoot();
